from django.urls import path


from knox import views as knox_views
from .views import (
    LoginView,
    CreateTemporaryUserView,
    ManageUserView,
    KnoxTokenListApiView,
    ListUserView,
    UserDetailAPIView,
    healthcheck,
    test_email,
    ListAtollView,
    CreateAtollView,
    RetrieveUpdateDestroyAtollView,
    ListCreateIslandView,
    RetrieveUpdateDestroyIslandView,
    filter_user,
    filter_temporary_user,
    UpdateUserWalletView,
    VerifyOTPView,
    UserVerifyAPIView,
)


urlpatterns = [
    path("register/", CreateTemporaryUserView.as_view(), name="register"),
    path("register/verify/", VerifyOTPView.as_view(), name="verify-otp"),
    path("profile/", ManageUserView.as_view(), name="profile"),
    path("login/", LoginView.as_view(), name="knox_login"),
    path("logout/", knox_views.LogoutView.as_view(), name="knox_logout"),
    path("logoutall/", knox_views.LogoutAllView.as_view(), name="knox_logoutall"),
    path("tokens/", KnoxTokenListApiView.as_view(), name="knox_tokens"),
    # path("auth/", CustomAuthToken.as_view()),
    path("users/", ListUserView.as_view(), name="users"),
    path(
        "update-wallet/<int:pk>/", UpdateUserWalletView.as_view(), name="update-wallet"
    ),
    path("users/<int:pk>/", UserDetailAPIView.as_view(), name="user-detail"),
    path("users/<int:pk>/verify/", UserVerifyAPIView.as_view(), name="user-verify"),
    path("users/filter/", filter_user, name="filter-users"),
    path("users/temp/filter/", filter_temporary_user, name="filter-temporary-users"),
    path("healthcheck/", healthcheck, name="healthcheck"),
    path("test/", test_email, name="testemail"),
    path("atolls/", ListAtollView.as_view(), name="atolls"),
    path("atolls/new/", CreateAtollView.as_view(), name="atoll-new"),
    path(
        "atolls/<int:pk>/",
        RetrieveUpdateDestroyAtollView.as_view(),
        name="atoll-detail",
    ),
    path("islands/", ListCreateIslandView.as_view(), name="islands"),
    path(
        "islands/<int:pk>/",
        RetrieveUpdateDestroyIslandView.as_view(),
        name="island-detail",
    ),
]
