import django_filters
from .models import Payment


class PaymentFilter(django_filters.FilterSet):
    amount = django_filters.NumericRangeFilter(field_name="amount")
    number_of_months = django_filters.NumericRangeFilter(field_name="number_of_months")
    paid = django_filters.BooleanFilter(field_name="paid")
    method = django_filters.ChoiceFilter(
        choices=Payment.PAYMENT_TYPES, lookup_expr="iexact"
    )
    mib_reference = django_filters.CharFilter(lookup_expr="icontains")
    paid_at = django_filters.DateFromToRangeFilter()
    created_at = django_filters.DateFromToRangeFilter()

    class Meta:
        model = Payment
        fields = "__all__"
